﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WebsitePanel.IIsModules
{
    class HtAccessException : ApplicationException
    {
        public string FilePath { get; set; }
        public string LineText { get; set; }

        public HtAccessException(string filePath, string message)
            : base(message)
        {
            FilePath = filePath;
        }

        public HtAccessException(string filePath, string lineText, string message)
            : base(message)
        {
            FilePath = filePath;
            LineText = lineText;
        }
    }
}
